#include <geometry_msgs/PoseArray.h>
#include <fstream>
#include <iostream>
#include <ros/ros.h>
#include <sstream>
#include <vector>
#include <tf/transform_datatypes.h>
#include <tf2_geometry_msgs/tf2_geometry_msgs.h>
#include <tf2/utils.h>
#include <trajectory_generation/WaypointPublisherService.h>
